---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - from-file: common/docker-engine.yml
  - type: rpm-ostree
    repos:
      - kubectl.repo
      - google-cloud-sdk.repo
      - https://pkg.earthly.dev/earthly.repo
      - https://cli.github.com/packages/rpm/gh-cli.repo
    install:
      - cmake
      - "gcc-c++"
      - earthly
      - kubectl
      - helm
      - pylsp
      - parallel
      - gcc-aarch64-linux-gnu
      - gcc-c++-aarch64-linux-gnu
      - musl-gcc
      - openssl-devel
      - bat
      - gh
      - go
      - git-lfs
      - google-cloud-cli
      # - erlang
      # - erlang-doc
      # - elixir
      # - elixir-doc
      - zlib-devel
      - glab
      - hugo
      - copr-cli
      - rpm-build
      - rpm-devel
      - rpmlint
      - diffutils
      - patch
      - rpmdevtools
      - protobuf-compiler
  - type: script
    scripts:
      - install-mkcert.sh
      - install-codelldb.sh
      - install-zellij.nu
